package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 老师请假记录表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_leave_record")
public class TeacherLeaveRecord extends Model<TeacherLeaveRecord> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 请假天数
     */
    @TableField("days_")
    private Integer days;
    /**
     * 请假类型
     */
    @TableField("type_")
    private String type;
    /**
     * 请假状态（审批中、拒绝、通过）
     */
    @TableField("status_")
    private String status;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public TeacherLeaveRecord setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public TeacherLeaveRecord setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getDays() {
        return days;
    }

    public TeacherLeaveRecord setDays(Integer days) {
        this.days = days;
        return this;
    }

    public String getType() {
        return type;
    }

    public TeacherLeaveRecord setType(String type) {
        this.type = type;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public TeacherLeaveRecord setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public TeacherLeaveRecord setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherLeaveRecord setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TeacherLeaveRecord setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherLeaveRecord{" +
        ", id=" + id +
        ", userId=" + userId +
        ", days=" + days +
        ", type=" + type +
        ", status=" + status +
        ", remark=" + remark +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
